System.Design 2.0.0.0 System.Object

This class can be extended to develop any type of user interface behavior, including selection, drag, and resize behaviors.

For more information, see Behavior Service Overview.

Your type must be associated with a type. Glyph-independent behaviors are not supported.

Represents the objects that are managed by a .

- Constructor
  2.0.0.0
  To be added.

  Initializes a new instance of the class.

- Constructor
  2.0.0.0

  The parent behavior is the next behavior on the behavior stack maintained by the . If the parameter is true, then the parameter must not be null.

  indicates whether the base class should call the parent behavior, and then allow the select the correct parent behavior.

  Initializes a new instance of the class with the given .

  true if the parent behavior should be called if it exists; otherwise, false.
  The to use.
- Property
  2.0.0.0
  System.Windows.Forms.Cursor To be added. To be added.

  Gets the cursor that should be displayed for this behavior.

- Property
  2.0.0.0
  System.Boolean To be added.

  A true value for the property indicates to the that all objects the designer receives should have their state disabled when this behavior is active.

  The property works in conjunction with the method so you can customize the interaction between glyphs and behaviors. The following table summarizes the results of a call to for a particular .

  is true

  is false

  Hit-tested glyph has an assigned behavior

  If the with the specified is found in the , that is disabled and returned. Otherwise, null is returned.

  is called on the behavior and, if found, the behavior’s is returned. Otherwise, the result of with the specified is returned.

  Hit-tested glyph has no assigned behavior

  The result of with the specified is returned.

  The result of with the specified is returned.

  Gets a value indicating whether objects should be disabled.

- Method
  2.0.0.0
  System.ComponentModel.Design.MenuCommand ``

  The method is called from the . It provides an opportunity for the to return its own custom , thereby intercepting this message.

  Intercepts commands.

  A . By default, returns null.

  A object.
- Method
  2.0.0.0
  System.Void `` `` To be added.

  Permits custom drag-and-drop behavior.

  A object on which to invoke drag-and-drop behavior. A that contains the event data.
- Method
  2.0.0.0
  System.Void `` `` To be added.

  Permits custom drag-enter behavior.

  A on which to invoke drag-enter behavior. A that contains the event data.
- Method
  2.0.0.0
  System.Void `` `` To be added.

  Permits custom drag-leave behavior.

  A on which to invoke drag-leave behavior. A that contains the event data.
- Method
  2.0.0.0
  System.Void `` `` To be added.

  Permits custom drag-over behavior.

  A on which to invoke drag-over behavior. A that contains the event data.
- Method
  2.0.0.0
  System.Void `` `` To be added.

  Permits custom drag-and-drop feedback behavior.

  A on which to invoke drag-and-drop behavior. A that contains the event data.
- Method
  2.0.0.0
  System.Void `` ``

  A behavior can request mouse capture through the behavior service by pushing itself onto the behavior stack with the method. If it does so, it will be notified through the method when capture is lost. Generally the behavior removes itself from the stack at this time. Capture is lost when one of the following actions occurs:

  Someone else requests capture.

  Another behavior is pushed.

  This behavior is removed.

  In each of these cases, will be called on the behavior.

  Called by the adorner window when it loses mouse capture.

  A on which to invoke drag-and-drop behavior. An that contains the event data.
- Method
  2.0.0.0
  System.Boolean `` `` ``

  The method is called when any double-click message enters the WndProc of the adorner window of the . The message is first passed here, to the top-most in the behavior stack. Returning true from this method signifies that the message was handled by the and should not continue to be processed. From here, the message is sent to the appropriate behavior.

  Called when any double-click message enters the adorner window of the .

  true if the message was handled; otherwise, false.

  A . A value indicating which button was clicked. The location at which the click occurred.
- Method
  2.0.0.0
  System.Boolean `` `` ``

  The method is called when any mouse-down message enters the WndProc of the adorner window of the . The message is first passed here, to the top-most in the behavior stack. Returning true from this method signifies that the message was handled by the and should not continue to be processed. From here, the message is sent to the appropriate behavior.

  Called when any mouse-down message enters the adorner window of the .

  true if the message was handled; otherwise, false.

  A . A value indicating which button was clicked. The location at which the click occurred.
- Method
  2.0.0.0
  System.Boolean ``

  The method is called when any mouse-enter message enters the WndProc of the adorner window of the . From here, the message is sent to the appropriate behavior.

  When the mouse pointer's location is positively hit-tested with a different than previous hit tests, this method is called on the associated with the .

  Called when any mouse-enter message enters the adorner window of the .

  true if the message was handled; otherwise, false.

  A .
- Method
  2.0.0.0
  System.Boolean `` ``

  The method is called when any mouse-hover message enters the WndProc of the adorner window of the . The message is first passed here, to the top-most in the behavior stack. Returning true from this method signifies that the message was handled by the and should not continue to be processed. From here, the message is sent to the appropriate behavior.

  Called when any mouse-hover message enters the adorner window of the .

  true if the message was handled; otherwise, false.

  A . The location at which the hover occurred.
- Method
  2.0.0.0
  System.Boolean ``

  The method is called when any mouse-leave message enters the WndProc of the adorner window of the . From here, the message is sent to the appropriate behavior.

  When the mouse pointer leaves a positively hit-tested with a valid , this method is invoked.

  Called when any mouse-leave message enters the adorner window of the .

  true if the message was handled; otherwise, false.

  A .
- Method
  2.0.0.0
  System.Boolean `` `` ``

  The method is called when any mouse-move message enters the WndProc of the adorner window of the . The message is first passed here, to the top-most in the behavior stack. Returning true from this method signifies that the message was handled by the and should not continue to be processed. From here, the message is sent to the appropriate behavior.

  Called when any mouse-move message enters the adorner window of the .

  true if the message was handled; otherwise, false.

  A . A value indicating which button was clicked. The location at which the move occurred.
- Method
  2.0.0.0
  System.Boolean `` ``

  The method is called when any mouse-up message enters the WndProc of the adorner window of the . The message is first passed here, to the top-most in the behavior stack. Returning true from this method signifies that the message was handled by the and should not continue to be processed. From here, the message is sent to the appropriate behavior.

  Called when any mouse-up message enters the adorner window of the .

  true if the message was handled; otherwise, false.

  A . A value indicating which button was clicked.
- Method
  2.0.0.0
  System.Void `` `` To be added.

  Sends this drag-and-drop event from the adorner window to the appropriate or hit-tested .

  A . A that contains the event data.